Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::addon::compliance::PDFECompliance Class Reference
Inheritance diagram for foxit::addon::compliance::PDFECompliance:

## Public Types
enum | Version { e_VersionPDFE1 = 1 }
| Enumeration for PDF/E version. More...

## Public Member Functions
| PDFECompliance ()
| Constructor.
| PDFECompliance (const PDFECompliance &other)
| Constructor, with another PDF/E compliance object. More...
| ~PDFECompliance ()
| Destructor.
ResultInformation | ConvertPDFFile (const wchar_t *src_pdf_path, const wchar_t *saved_pdf_path, Version convert_to_version=e_VersionPDFE1, ProgressCallback *progress_callback=0)
| Convert a PDF file with specified PDF/E version. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const PDFECompliance &other) const
| Not equal operator. More...
PDFECompliance & | operator= (const PDFECompliance &other)
| Assign operator. More...
bool | operator== (const PDFECompliance &other) const
| Equal operator. More...
ResultInformation | Verify (const wchar_t *src_pdf_path, int first_page_index=0, int last_page_index=-1, Version verify_version=e_VersionPDFE1, ProgressCallback *progress_callback=0)
| Verify a PDF file with specified PDF/E version. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class can be used for PDF/E compliance verification or converting a PDF file to a PDF/E format. Please ensure ComplianceEngine has been initialized successfully.

See also
  ComplianceEngine

## Member Enumeration Documentation

## ◆ Version

enum foxit::addon::compliance::PDFECompliance::Version

Enumeration for PDF/E version.

Values of this enumeration should be used alone.

Enumerator
e_VersionPDFE1 | PDF/E-1.

## Constructor & Destructor Documentation

## ◆ PDFECompliance()

foxit::addon::compliance::PDFECompliance::PDFECompliance | ( | const PDFECompliance & | other | ) |

Constructor, with another PDF/E compliance object.

Parameters

  [in] | other | Another PDF/E compliance object.

## Member Function Documentation

## ◆ ConvertPDFFile()

ResultInformation foxit::addon::compliance::PDFECompliance::ConvertPDFFile | ( | const wchar_t * | src_pdf_path,
|  | const wchar_t * | saved_pdf_path,
|  | Version | convert_to_version = `e_VersionPDFE1`,
|  | ProgressCallback * | progress_callback = `0`
| ) |  |

Convert a PDF file with specified PDF/E version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/E version to convert. Please refer to values starting from PDFECompliance::e_VersionPDFE1 and this should be one of these values. Default value: PDFECompliance::e_VersionPDFE1.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be NULL. Default value: NULL.

Returns
  A ResultInformation object.

## ◆ IsEmpty()

bool foxit::addon::compliance::PDFECompliance::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::addon::compliance::PDFECompliance::operator!= | ( | const PDFECompliance & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another PDF/E compliance object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

PDFECompliance& foxit::addon::compliance::PDFECompliance::operator= | ( | const PDFECompliance & | other | ) |

Assign operator.

Parameters

  [in] | other | Another PDF/E compliance object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::compliance::PDFECompliance::operator== | ( | const PDFECompliance & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another PDF/E compliance object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Verify()

ResultInformation foxit::addon::compliance::PDFECompliance::Verify | ( | const wchar_t * | src_pdf_path,
|  | int | first_page_index = `0`,
|  | int | last_page_index = `-1`,
|  | Version | verify_version = `e_VersionPDFE1`,
|  | ProgressCallback * | progress_callback = `0`
| ) |  |

Verify a PDF file with specified PDF/E version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified(ignores first_page_index). Default value: -1.
  [in] | verify_version | PDF/E version to verify.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be NULL. Default value: NULL.

Returns
  A ResultInformation object.